
package es.ejie.frmk.infraestructura.poolCache;

import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Savepoint;
import java.sql.Statement;
import java.util.Map;


/**
 * @version 1.0
 * Fecha: 20-feb-04
 */
public class Q70ConexionPoolableImpl implements Q70ConexionPoolable {
	private Connection connection;
    
	/**
	 * Construye un conexión de pool con el nombre especificado
	 * @param connection nombre de la conexión
	 */
	public Q70ConexionPoolableImpl(Connection connection) {
	  this.connection = connection;
	}
    
	/**
	 * @see java.sql.Connection#clearWarnings()
	 */
	public void clearWarnings() throws SQLException {
	  this.connection.clearWarnings();
	}
    
	/**
	 * @see java.sql.Connection#close()
	 */
	public void close() throws SQLException {
	  this.connection.close();
	}
    
	/**
	 * @see java.sql.Connection#commit()
	 */
	public void commit() throws SQLException {
	  this.connection.commit();
	}
    
	/**
	 * @see java.sql.Connection#createStatement()
	 */
	public Statement createStatement() throws SQLException {
	  return this.connection.createStatement();
	}
    
	/**
	* @see java.sql.Connection#createStatement(int, int)
	*/
	public Statement createStatement(int arg0, int arg1) throws SQLException {
	 return this.connection.createStatement(arg0, arg1);
	}
    
	/**
	 * @see java.sql.Connection#getAutoCommit()
	 */
	public boolean getAutoCommit() throws SQLException {
	  return this.connection.getAutoCommit();
	}
    
	/**
	 * @see java.sql.Connection#getCatalog()
	 */
	public String getCatalog() throws SQLException {
	  return this.connection.getCatalog();
	}
    
	/**
	 * @see java.sql.Connection#getMetaData()
	 */
	public DatabaseMetaData getMetaData() throws SQLException {
	  return this.connection.getMetaData();
	}   
    
	/**
	 * @see java.sql.Connection#getTransactionIsolation()
	 */
	public int getTransactionIsolation() throws SQLException {
	  return this.connection.getTransactionIsolation();
	}
    

	/**
	 * @see java.sql.Connection#getTypeMap()
	 */
	public Map getTypeMap() throws SQLException {
	  return this.connection.getTypeMap();
	}
    
    
	/**
	 * @see java.sql.Connection#getWarnings()
	 */
	public SQLWarning getWarnings() throws SQLException {
	  return this.connection.getWarnings();
	}
    
    
	/**
	 * @see java.sql.Connection#isClosed()
	 */
	public boolean isClosed() throws SQLException {
	  return this.connection.isClosed();
	}
    
	/**
	 * @see java.sql.Connection#isReadOnly()
	 */
	public boolean isReadOnly() throws SQLException {
	  return this.connection.isReadOnly();
	}
    
	/**
	 * @see java.sql.Connection#nativeSQL(java.lang.String)
	 */
	public String nativeSQL(String arg0) throws SQLException {
	  return this.connection.nativeSQL(arg0);
	}
    
	/**
	 * @see java.sql.Connection#prepareCall(java.lang.String)
	 */
	public CallableStatement prepareCall(String arg0) throws SQLException {
	  return this.connection.prepareCall(arg0);
	}
    
	/**
	 * @see java.sql.Connection#prepareCall(java.lang.String, int, int)
	 */
	public CallableStatement prepareCall(String arg0, int arg1, int arg2) throws SQLException {
	  return this.connection.prepareCall(arg0, arg1, arg2);
	}

	/**
	 * @see java.sql.Connection#prepareCall(java.lang.String, int, int)
	 */
	public CallableStatement prepareCall(String arg0, int arg1, int arg2, int arg3) throws SQLException {
	  return this.connection.prepareCall(arg0, arg1, arg2, arg3);
	}
    
	/**
	 * @see java.sql.Connection#prepareStatement(java.lang.String)
	 */
	public PreparedStatement prepareStatement(String arg0) throws SQLException {
	  return this.connection.prepareStatement(arg0);
	}
    
	/**
	 * @see java.sql.Connection#prepareStatement(java.lang.String, int, int)
	 */
	public PreparedStatement prepareStatement(String arg0, int arg1, int arg2) throws SQLException {
	  return this.connection.prepareStatement(arg0, arg1, arg2);
	}

	/**
	 * @see java.sql.Connection#prepareStatement(java.lang.String, int)
	 */
	public PreparedStatement prepareStatement(String arg0, int arg1) throws SQLException {
	  return this.connection.prepareStatement(arg0, arg1);
	}

	/**
	 * @see java.sql.Connection#prepareStatement(java.lang.String, ava.lang.String[])
	 */
	public PreparedStatement prepareStatement(String arg0, String[] arg1) throws SQLException {
	  return this.connection.prepareStatement(arg0, arg1);
	}
	
	/**
	 * @see java.sql.Connection#prepareStatement(java.lang.String, ava.lang.String[])
	 */
	public PreparedStatement prepareStatement(String arg0, int[] arg1) throws SQLException {
	  return this.connection.prepareStatement(arg0, arg1);
	}
	
	/**
	 * @see java.sql.Connection#prepareStatement(java.lang.String, ava.lang.String[])
	 */
	public PreparedStatement prepareStatement(String arg0, int arg1, int arg2, int arg3) throws SQLException {
	  return this.connection.prepareStatement(arg0, arg1, arg2, arg3);
	}

	/**
	   * @see java.sql.Connection#setSavepoint(java.lang.String)
	 */
	public Savepoint setSavepoint(String arg0) throws SQLException {
		return this.connection.setSavepoint(arg0);
	}
    
	/**
	 * @see java.sql.Connection#rollback()
	 */
	public void rollback() throws SQLException {
	  this.connection.rollback();
	}
    
	/**
	 * @see java.sql.Connection#setAutoCommit(boolean)
	 */
	public void setAutoCommit(boolean arg0) throws SQLException {
	  this.connection.setAutoCommit(arg0);
	}
    
	/**
	 * @see java.sql.Connection#setCatalog(java.lang.String)
	 */
	public void setCatalog(String arg0) throws SQLException {
	  this.connection.setCatalog(arg0);
	}
    
	/**
	 * @see java.sql.Connection#setReadOnly(boolean)
	 */
	public void setReadOnly(boolean arg0) throws SQLException {
	  this.connection.setReadOnly(arg0);
	}
    
	/**
	 * @see java.sql.Connection#setTransactionIsolation(int)
	 */
	public void setTransactionIsolation(int arg0) throws SQLException {
	  this.connection.setTransactionIsolation(arg0);
	}
    
	/**
	   @roseuid 3B0A037B0394
	 */
	public void setTypeMap(Map arg0) throws SQLException {
	  this.connection.setTypeMap(arg0);
	}
	/* (no Javadoc)
	 * @see java.sql.Connection#createStatement(int, int, int)
	 */
	public Statement createStatement(
		int resultSetType,
		int resultSetConcurrency,
		int resultSetHoldability)
		throws SQLException {
		return this.connection.createStatement(resultSetType, resultSetConcurrency, resultSetHoldability);
	}

	/* (no Javadoc)
	 * @see java.sql.Connection#getHoldability()
	 */
	public int getHoldability() throws SQLException {
		return this.connection.getHoldability();
	}

	/* (no Javadoc)
	 * @see java.sql.Connection#releaseSavepoint(java.sql.Savepoint)
	 */
	public void releaseSavepoint(Savepoint savepoint) throws SQLException {
		this.connection.releaseSavepoint(savepoint);

	}

	/* (no Javadoc)
	 * @see java.sql.Connection#rollback(java.sql.Savepoint)
	 */
	public void rollback(Savepoint savepoint) throws SQLException {
		this.connection.rollback(savepoint);

	}

	/* (no Javadoc)
	 * @see java.sql.Connection#setHoldability(int)
	 */
	public void setHoldability(int holdability) throws SQLException {
		this.connection.setHoldability(holdability);

	}

	/* (no Javadoc)
	 * @see java.sql.Connection#setSavepoint()
	 */
	public Savepoint setSavepoint() throws SQLException {
		return this.connection.setSavepoint();
	}

}
